# frozen_string_literal: true

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!


module Google
  module Cloud
    module Gaming
      module V1
        module GameServerClustersService
          # Path helper methods for the GameServerClustersService API.
          module Paths
            ##
            # Create a fully-qualified GameServerCluster resource string.
            #
            # The resource will be in the following format:
            #
            # `projects/{project}/locations/{location}/realms/{realm}/gameServerClusters/{cluster}`
            #
            # @param project [String]
            # @param location [String]
            # @param realm [String]
            # @param cluster [String]
            #
            # @return [::String]
            def game_server_cluster_path project:, location:, realm:, cluster:
              raise ::ArgumentError, "project cannot contain /" if project.to_s.include? "/"
              raise ::ArgumentError, "location cannot contain /" if location.to_s.include? "/"
              raise ::ArgumentError, "realm cannot contain /" if realm.to_s.include? "/"

              "projects/#{project}/locations/#{location}/realms/#{realm}/gameServerClusters/#{cluster}"
            end

            ##
            # Create a fully-qualified Realm resource string.
            #
            # The resource will be in the following format:
            #
            # `projects/{project}/locations/{location}/realms/{realm}`
            #
            # @param project [String]
            # @param location [String]
            # @param realm [String]
            #
            # @return [::String]
            def realm_path project:, location:, realm:
              raise ::ArgumentError, "project cannot contain /" if project.to_s.include? "/"
              raise ::ArgumentError, "location cannot contain /" if location.to_s.include? "/"

              "projects/#{project}/locations/#{location}/realms/#{realm}"
            end

            extend self
          end
        end
      end
    end
  end
end
