# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/gaming/v1/game_server_clusters_service.proto for package 'google.cloud.gaming.v1'
# Original file comments:
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/cloud/gaming/v1/game_server_clusters_service_pb'

module Google
  module Cloud
    module Gaming
      module V1
        module GameServerClustersService
          # The game server cluster maps to Kubernetes clusters running Agones and is
          # used to manage fleets within clusters.
          class Service

            include ::GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.cloud.gaming.v1.GameServerClustersService'

            # Lists game server clusters in a given project and location.
            rpc :ListGameServerClusters, ::Google::Cloud::Gaming::V1::ListGameServerClustersRequest, ::Google::Cloud::Gaming::V1::ListGameServerClustersResponse
            # Gets details of a single game server cluster.
            rpc :GetGameServerCluster, ::Google::Cloud::Gaming::V1::GetGameServerClusterRequest, ::Google::Cloud::Gaming::V1::GameServerCluster
            # Creates a new game server cluster in a given project and location.
            rpc :CreateGameServerCluster, ::Google::Cloud::Gaming::V1::CreateGameServerClusterRequest, ::Google::Longrunning::Operation
            # Previews creation of a new game server cluster in a given project and
            # location.
            rpc :PreviewCreateGameServerCluster, ::Google::Cloud::Gaming::V1::PreviewCreateGameServerClusterRequest, ::Google::Cloud::Gaming::V1::PreviewCreateGameServerClusterResponse
            # Deletes a single game server cluster.
            rpc :DeleteGameServerCluster, ::Google::Cloud::Gaming::V1::DeleteGameServerClusterRequest, ::Google::Longrunning::Operation
            # Previews deletion of a single game server cluster.
            rpc :PreviewDeleteGameServerCluster, ::Google::Cloud::Gaming::V1::PreviewDeleteGameServerClusterRequest, ::Google::Cloud::Gaming::V1::PreviewDeleteGameServerClusterResponse
            # Patches a single game server cluster.
            rpc :UpdateGameServerCluster, ::Google::Cloud::Gaming::V1::UpdateGameServerClusterRequest, ::Google::Longrunning::Operation
            # Previews updating a GameServerCluster.
            rpc :PreviewUpdateGameServerCluster, ::Google::Cloud::Gaming::V1::PreviewUpdateGameServerClusterRequest, ::Google::Cloud::Gaming::V1::PreviewUpdateGameServerClusterResponse
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
