# frozen_string_literal: true

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Auto-generated by gapic-generator-ruby. DO NOT EDIT!


module Google
  module Cloud
    module Gaming
      module V1
        module GameServerConfigsService
          # Path helper methods for the GameServerConfigsService API.
          module Paths
            ##
            # Create a fully-qualified GameServerConfig resource string.
            #
            # The resource will be in the following format:
            #
            # `projects/{project}/locations/{location}/gameServerDeployments/{deployment}/configs/{config}`
            #
            # @param project [String]
            # @param location [String]
            # @param deployment [String]
            # @param config [String]
            #
            # @return [::String]
            def game_server_config_path project:, location:, deployment:, config:
              raise ::ArgumentError, "project cannot contain /" if project.to_s.include? "/"
              raise ::ArgumentError, "location cannot contain /" if location.to_s.include? "/"
              raise ::ArgumentError, "deployment cannot contain /" if deployment.to_s.include? "/"

              "projects/#{project}/locations/#{location}/gameServerDeployments/#{deployment}/configs/#{config}"
            end

            ##
            # Create a fully-qualified GameServerDeployment resource string.
            #
            # The resource will be in the following format:
            #
            # `projects/{project}/locations/{location}/gameServerDeployments/{deployment}`
            #
            # @param project [String]
            # @param location [String]
            # @param deployment [String]
            #
            # @return [::String]
            def game_server_deployment_path project:, location:, deployment:
              raise ::ArgumentError, "project cannot contain /" if project.to_s.include? "/"
              raise ::ArgumentError, "location cannot contain /" if location.to_s.include? "/"

              "projects/#{project}/locations/#{location}/gameServerDeployments/#{deployment}"
            end

            extend self
          end
        end
      end
    end
  end
end
