# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/gaming/v1/game_server_configs_service.proto for package 'google.cloud.gaming.v1'
# Original file comments:
# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/cloud/gaming/v1/game_server_configs_service_pb'

module Google
  module Cloud
    module Gaming
      module V1
        module GameServerConfigsService
          # The game server config configures the game servers in an Agones fleet.
          class Service

            include ::GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.cloud.gaming.v1.GameServerConfigsService'

            # Lists game server configs in a given project, location, and game server
            # deployment.
            rpc :ListGameServerConfigs, ::Google::Cloud::Gaming::V1::ListGameServerConfigsRequest, ::Google::Cloud::Gaming::V1::ListGameServerConfigsResponse
            # Gets details of a single game server config.
            rpc :GetGameServerConfig, ::Google::Cloud::Gaming::V1::GetGameServerConfigRequest, ::Google::Cloud::Gaming::V1::GameServerConfig
            # Creates a new game server config in a given project, location, and game
            # server deployment. Game server configs are immutable, and are not applied
            # until referenced in the game server deployment rollout resource.
            rpc :CreateGameServerConfig, ::Google::Cloud::Gaming::V1::CreateGameServerConfigRequest, ::Google::Longrunning::Operation
            # Deletes a single game server config. The deletion will fail if the game
            # server config is referenced in a game server deployment rollout.
            rpc :DeleteGameServerConfig, ::Google::Cloud::Gaming::V1::DeleteGameServerConfigRequest, ::Google::Longrunning::Operation
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
